
package com.tmerclub.cloud.api.user.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * 充值成功通知
 * @author tmerclub
 */
public class BalancePayBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long payId;
    private String orderIds;

    private Long changeBalance;

    private Boolean isVip;

    private Integer paySysType;

    public String getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(String orderIds) {
        this.orderIds = orderIds;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Long getChangeBalance() {
        return changeBalance;
    }

    public void setChangeBalance(Long changeBalance) {
        this.changeBalance = changeBalance;
    }

    public Boolean getIsVip() {
        return isVip;
    }

    public void setIsVip(Boolean isVip) {
        this.isVip = isVip;
    }

    public Boolean getVip() {
        return isVip;
    }

    public void setVip(Boolean vip) {
        isVip = vip;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    @Override
    public String toString() {
        return "BalancePayBO{" +
                "payId=" + payId +
                ", orderIds='" + orderIds + '\'' +
                ", changeBalance=" + changeBalance +
                ", isVip=" + isVip +
                ", paySysType=" + paySysType +
                '}';
    }
}
